org.eclipse.viatra.query.patternlanguage.serializer

## Class PatternLanguageSyntacticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer
  - - org.eclipse.viatra.query.patternlanguage.serializer.AbstractPatternLanguageSyntacticSequencer
    - - org.eclipse.viatra.query.patternlanguage.serializer.PatternLanguageSyntacticSequencer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor, org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      public class PatternLanguageSyntacticSequencer
      extends AbstractPatternLanguageSyntacticSequencer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer.SyntacticalContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer.ISyntacticSequencerOwner`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.serializer.AbstractPatternLanguageSyntacticSequencer

      `grammarAccess, match_Pattern_EqualsSignKeyword_7_q, match_XBlockExpression_SemicolonKeyword_2_1_q, match_XBooleanLiteral_FALSEKeyword_1_1_or_FalseKeyword_1_0, match_XExpressionInClosure_SemicolonKeyword_1_1_q, match_XFunctionTypeRef___LeftParenthesisKeyword_0_0_RightParenthesisKeyword_0_2__q, match_XImportDeclaration_SemicolonKeyword_2_q, match_XParenthesizedExpression_LeftParenthesisKeyword_0_a, match_XParenthesizedExpression_LeftParenthesisKeyword_0_p`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `contexts, delegate, diagnosticProvider, errorAcceptor, pdaProvider, tokenUtil`

    - ### Fields inherited from interface org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor

      `NO_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageSyntacticSequencer()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.serializer.AbstractPatternLanguageSyntacticSequencer

      `emit_Pattern_EqualsSignKeyword_7_q, emit_XBlockExpression_SemicolonKeyword_2_1_q, emit_XBooleanLiteral_FALSEKeyword_1_1_or_FalseKeyword_1_0, emit_XExpressionInClosure_SemicolonKeyword_1_1_q, emit_XFunctionTypeRef___LeftParenthesisKeyword_0_0_RightParenthesisKeyword_0_2__q, emit_XImportDeclaration_SemicolonKeyword_2_q, emit_XParenthesizedExpression_LeftParenthesisKeyword_0_a, emit_XParenthesizedExpression_LeftParenthesisKeyword_0_p, emitUnassignedTokens, getArrayBracketsToken, getOpSingleAssignToken, getUnassignedRuleCallToken, init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `accept, accept, acceptAssignedCrossRefDatatype, acceptAssignedCrossRefEnum, acceptAssignedCrossRefKeyword, acceptAssignedCrossRefTerminal, acceptAssignedDatatype, acceptAssignedEnum, acceptAssignedKeyword, acceptAssignedTerminal, acceptNode, acceptNodes, acceptNodes, acceptUnassignedAction, acceptUnassignedDatatype, acceptUnassignedEnum, acceptUnassignedKeyword, acceptUnassignedTerminal, collectAbstractElements, collectNodes, enterAssignedAction, enterAssignedParserRuleCall, findTransition, finish, getLastLeaf, getLastNavigableState, getNodesFor, getTokenText, getUnassignedRuleCallToken, init, init, leaveAssignedAction, leaveAssignedParserRuleCall, navigateToAbsorber, navigateToAbsorber, navigateToEmitter, navigateToEmitter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageSyntacticSequencer

          public PatternLanguageSyntacticSequencer()